html, body {
    height: 100%;
    margin: 0;

}
#carousel  {
    touch-action: none;
    display: flex;
    height: 400px;
    perspective: 1000px;
    transform-style: preserve-3d;
    overflow-x: hidden !important;
}
#drag-container,
#spin-container {
    position: relative;
    display: flex;
    margin: auto;
    transform-style: preserve-3d;
    transform: rotateX(-10deg);
}
#drag-container a {
    transform-style: preserve-3d;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2), 0 10px 16px rgba(0,0,0,0.1);
    border: 8px solid rgb(43, 37, 84);
}
#drag-container img {
    width: 100%;
    height: 100%;
    filter: grayscale(50%) contrast(0.8);
    transition: filter 0.3s;
}
#drag-container a:hover img{
    filter: grayscale(0) contrast(1);
}
#drag-container p {
    line-height: 1;
    font-size: 50px;
    font-weight: bold;
    text-align: center;
    font-family: Serif;
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%) rotateX(90deg);
    color: rgb(43, 37, 84);
    text-shadow:
            0 0 5px #9584e0,
            0 0 10px #9584e0,
            0 0 15px #9584e0,
            0 0 20px #9584e0,
            0 0 25px #9584e0,
            0 0 30px #9584e0,
            0 0 35px #9584e0;
    font-family: Verdana, sans-serif;
}

.highlight {
    text-shadow:
            0 0 5px #9584e0,
            0 0 10px #9584e0,
            0 0 15px #9584e0,
            0 0 20px #9584e0,
            0 0 25px #9584e0,
            0 0 30px #9584e0,
            0 0 35px #9584e0;
}

.no-highlight {
    text-shadow: none;
}

#ground {
    width: 900px;
    height: 900px;
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%) rotateX(90deg);
}
.hidden-photo{
    max-width: 200px;
}
@keyframes spin {
    from {
        transform: rotateY(0deg);
    }
    to {
        transform: rotateY(360deg);
    }
}
@keyframes spinRevert {
    from {
        transform: rotateY(360deg);
    }
    to {
        transform: rotateY(0deg);
    }
}